#ifndef STATUS_H
#define STATUS_H

/*
 * @(#)Status.h
 *
 * This file is part of webCDwriter - Network CD Writing.
 *
 * Copyright (C) 1999-2002 Jörg P. M. Haeger
 *
 * webCDwriter is free software. See CDWserver.cpp for details.
 */

class Status {
	static int
		infoNo,
		sessionsNum0,
		sessionsNumNew,
		sessionsTotal,
		MBwritten0,
		MBwrittenNew;
public:
	Status();
	void addResult(const char *date, const char *time,
		const char *user, int size, const char *result);
	String *getAbout();
	String *getCDROMs();
	String *getConnects();
	String *getSessions();
	String *getStatistics();
	String *getStatus();
	int getStatusNo() { return ++infoNo; }
	String *getStore();
	String *getWriters();
	void start();
private:
	void readLastResults();
};

extern Status status;

#endif
